/*
 * 作成日: 2003/11/11
 *
 * XMLファイルからの設定情報の読み込み
 * 
 */
package jp.ne.dti.venus.okazaki.xls2src;

import java.io.*;
import org.apache.commons.digester.Digester;
import org.apache.commons.digester.xmlrules.DigesterLoader;

/**
 * @author kenichi_okazaki
 *
 * XMLファイルからの設定情報の読み込み
 * 
 */
public class XmlLoader {

	/**
	 * 
	 */
	public XmlLoader() {

	}
	
	public Object execute(String digesterFileName, String targetFileName) {
		//Digesterを使っての設定情報の読み込み
		GeneratorInfo gIngo = null;

		try {
			


			Digester d =
				DigesterLoader.createDigester(new File( digesterFileName ).toURL());
				d.setClassLoader(  this.getClass().getClassLoader()   );
			
			gIngo = (GeneratorInfo)d.parse(new File( targetFileName ));

			System.out.println(gIngo.toString());

		} catch (Exception exc) {
			exc.printStackTrace();
		}

		return gIngo;

	}

}
